from axipy import Plugin, Position

from StyleTools.controls.compositeStyle.toolExtentionStyle import ControlExtentionStyle


class PluginStyleTools(Plugin):
    __name_panel = "Стили"
    def __init__(self) -> None:
        self.__cls_action=[]
        cls_extention_style=ControlExtentionStyle(self)
        self.__cls_action.append(cls_extention_style)
        position = Position("Дополнительно", self.__name_panel)
        for ext_cls in self.__cls_action:
            position.add(ext_cls.action, size=2)
    def unload(self) -> None:
        for cls in self.__cls_action:
            cls.unload()


